Name:		vice
Version:	2.4.1
Release:	%mkrel 2
License:	GPLv2+
Summary:	Versatile Commodore Emulator
Group:		Emulators
# http://sourceforge.net/projects/vice-emu/files/development-releases/vice-2.4.1.tar.gz
Source0:	http://sourceforge.net/projects/vice-emu/files/development-releases/%{name}-%{version}.tar.gz
Source1:	vice-normalicons.tar.bz2
Source2:	vice-largeicons.tar.bz2
Source3:	vice-miniicons.tar.bz2
URL:		http://www.viceteam.org/
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	giflib-devel
BuildRequires:	libalsa-devel
BuildRequires:	gtkglext-devel
BuildRequires:	pkgconfig(xf86vidmodeproto)
BuildRequires:	flex
BuildRequires:	mkfontdir 
BuildRequires:	bdftopcf
BuildRequires:	libxt-devel
BuildRequires:	gettext-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	vte-devel
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires(post):	info-install
Requires(preun): info-install

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags} -DNO_REGPARM" 
%configure2_5x --enable-gnomeui --enable-fullscreen \

%make

%install
%makeinstall_std
#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/vice-x64.desktop << EOF
[Desktop Entry]
Name=C64 Emulator
Comment=Commodore 64 Emulator
Exec=%{_bindir}/x64 %U
Icon=c64icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-x128.desktop << EOF
[Desktop Entry]
Name=C128 Emulator
Comment=Commodore 128 Emulator
Exec=%{_bindir}/x128 %U
Icon=c128icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xpet.desktop << EOF
[Desktop Entry]
Name=PET Emulator
Comment=Commodore PET Emulator
Exec=%{_bindir}/xpet %U
Icon=peticon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xvic.desktop << EOF
[Desktop Entry]
Name=VIC 20 Emulator
Comment=Commodore VIC 20 Emulator
Exec=%{_bindir}/xvic %U
Icon=vic20icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xcbm2.desktop << EOF
[Desktop Entry]
Name=CBM2 Emulator
Comment=Commodore BM 2 Emulator
Exec=%{_bindir}/xcbm2 %U
Icon=c610icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xplus4.desktop << EOF
[Desktop Entry]
Name=CPLUS4 Emulator
Comment=Commodore PLUS4 Emulator
Exec=%{_bindir}/xplus4 %U
Icon=plus4icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-c1541.desktop << EOF
[Desktop Entry]
Name=VICE disk image tool
Comment=C1541 stand alone disk image maintenance program
Exec=%{_bindir}/c1541 %U
Icon=commodore
Terminal=true
Type=Application
StartupNotify=true
Categories=System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-vsid.desktop << EOF
[Desktop Entry]
Name=VSID music player
Comment=VICE SID music player for Commodore tunes
Exec=%{_bindir}/vsid %U
Icon=commodore
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Audio;Player;
EOF

#install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}/hicolor/32x32/apps
tar xjf %{SOURCE2} -C %{buildroot}%{_iconsdir}/hicolor/48x48/apps
tar xjf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/16x16/apps

%find_lang %{name}

#gw these are straight conversions of the info document
rm -f %{buildroot}%{_infodir}/*.{txt,pdf}

%post
%_install_info vice.info

%preun
%_remove_install_info vice.info

%files -f %{name}.lang
%doc AUTHORS FEEDBACK INSTALL README ChangeLog doc/html/plain/*
%{_bindir}/*
%{_libdir}/vice
%{_mandir}/man1/*
%{_infodir}/vice.info*
%{_datadir}/applications/vice-*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.4.1-2.mga3
+ Revision: 385407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 2.4.1-1.mga3
+ Revision: 341352
- fix lib dir
- correct tarball perms
- new version 2.4.1
- changed BR
- changed source tarball format

  + fwang <fwang>
    - update br

* Fri Oct 12 2012 barjac <barjac> 2.3.23-1.mga3
+ Revision: 304984
- new version
- removed BR ffmpeg-devel added BR vte-devel

* Sun Feb 26 2012 barjac <barjac> 2.3.14-2.mga2
+ Revision: 215272
+ rebuild (emptylog)

* Sun Feb 12 2012 barjac <barjac> 2.3.14-1.mga2
+ Revision: 207596
- New version
- Desktop files validated
- Spec cleaned
- BRs adjusted
- imported package vice

